my %fields = (
   name => 'Ich',
   age => '20',
   country => 'Germany',
);

sub validate(%fields, %conditions) {

   for %conditions.kv -> $name, Object $cond {
       if not %fields{$name} ~~ $cond {
           return False;
       }
   }
   return True;
}

my %cond = (
    name    => { $_.chars > 2 },
    age     => regex {^ \d+ $}  &  {$_ >= 18},
    country => any('Germany', 'Austria'),
);

if validate(%fields, %cond) {
   say "permission granted";
} else {
   say "permission denied";
}

